package cn.dankal.yunlaboratory.ui.dialog;

import android.content.Context;
import android.view.Gravity;
import android.view.View;
import android.widget.EditText;

import cn.dankal.basiclib.widget.dialog.BaseDialog;
import cn.dankal.basiclib.widget.dialog.CustomDialog;
import cn.dankal.yunlaboratory.R;

public class InputPersonNoDialog extends BaseDialog {

    private EditText etName;

    public InputPersonNoDialog(Context context) {
        super(context);
    }

    @Override
    public void initDialog() {
        dialog = new CustomDialog.Builder(context).widthdp(345).heightdp(250).gravity(Gravity.CENTER).view(R.layout.dialog_input_person_no).build();
        dialog.addViewOnclick(R.id.tv_negative, new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
            }
        });

        etName = (EditText) dialog.getView(R.id.et_input);
    }

    public String getInputName() {
        return etName.getText().toString().trim();
    }
}
